package com.prolog.cs.biz.inbound.service.impl.processor.enums;

/**
 * 质检策略枚举
 * 
 * @author Xiong (普通默认的质检策略) 后期可能从数据库比对
 *         新增的质检参数rqc_process进行区分：1-ERP抽样ERP质检，2-WMS抽样ERP质检，3-WMS抽样WMS质检
 */
public enum RqcStrategyEnum {

	rqcStrategy1("默认不质检", "rqc_00"),
//	rqcStrategy2("1-ERP抽样ERP质检", "rqc_10"),
//	rqcStrategy3("2-WMS抽样ERP质检", "rqc_11"),
	rqcStrategy4("3-WMS抽样WMS质检", "rqc_12");

	private String rqcNmae;

	private String typeStrategy;

	private RqcStrategyEnum(String rqcNmae, String typeStrategy) {
		this.rqcNmae = rqcNmae;
		this.typeStrategy = typeStrategy;
	}

	public String getRqcNmae() {
		return rqcNmae;
	}

	public void setRqcNmae(String rqcNmae) {
		this.rqcNmae = rqcNmae;
	}

	public String getTypeStrategy() {
		return typeStrategy;
	}

	public void setTypeStrategy(String typeStrategy) {
		this.typeStrategy = typeStrategy;
	}

}
